=== debian/changelog ===
librime (1.10.0+dfsg1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:34:43 +0000

librime (1.10.0+dfsg1-2build1) noble; urgency=medium

  * No-change rebuild against libgoogle-glog0v6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 02:23:03 +0000

librime (1.10.0+dfsg1-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Rename libraries for 64-bit time_t transition.  Closes: #1062609

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Feb 2024 18:52:08 -0500

librime (1.10.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh plugin versions:
    + charcode: 20240209
    + lua: 20240206
    + octagram: 20240205
  * debian/librime1.shlibs: Bump minimum version to 1.10.0.
  * debian/control: Add build-dependency on libutfcpp-dev.
  * debian/copyright: Exclude libutfcpp headers, use system version.
  * debian/control: Drop unused boost components libboost-filesystem-dev,
    libboost-system-dev, libboost-thread-dev from build-dependency list.
  * debian/rules:
    + Enable ENABLE_TIMESTAMP flag for reproducible-builds.
    + Remove unused BOOST_USE_CXX11 flag.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Feb 2024 17:22:10 -0500
