## librime 1.11.2+dfsg1

=== debian/changelog ===
librime (1.11.2+dfsg1-1deepin1) unstable; urgency=medium

  * Revert t64

 -- xiangzelong <xiangzelong@deepin.org>  Tue, 09 Jul 2024 10:46:16 +0800

librime (1.11.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh plugin versions:
    + lua: 20240519
  * debian/librime1t64.shlibs: Bump minimum version to 1.11.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Jul 2024 20:05:55 -0400
