=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: librime
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Qijiang Fan <fqj1994@gmail.com>,
  Aron Xu <aron@debian.org>,
@@ -28,11 +27,11 @@
  libutfcpp-dev (>= 3.2.4),
  libxcb-keysyms1-dev,
  libyaml-cpp-dev (>= 0.6.3-7~),
- pkg-config,
+ pkgconf,
  x11proto-core-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/rime/librime
 Vcs-Git: https://salsa.debian.org/input-method-team/librime.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/librime
@@ -40,7 +39,7 @@
 Package: librime-bin
 Architecture: any
 Depends:
- librime1t64 (= ${binary:Version}),
+ librime1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -62,8 +61,8 @@
 Architecture: any
 Section: libdevel
 Depends:
- librime1t64 (<< ${source:Upstream-Version}.0~),
- librime1t64 (>= ${source:Version}),
+ librime1 (<< ${source:Upstream-Version}.0~),
+ librime1 (>= ${source:Version}),
  ${misc:Depends},
 Provides:
  librime1-dev,
@@ -147,10 +146,7 @@
  This package provides octagram plugin for RIME. It provides extra functionality
  in grammar checking.
 
-Package: librime1t64
-Provides: ${t64:Provides}
-Replaces: librime1
-Breaks: librime1 (<< ${source:Version})
+Package: librime1
 Architecture: any
 Depends:
  ${misc:Depends},
