=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libleveldb-dev,
  liblua5.4-dev,
  libmarisa-dev,
- libopencc-dev (>= 1.1~),
+ libopencc-dev (>= 1.1.9~),
  libutfcpp-dev (>= 3.2.4),
  libxcb-keysyms1-dev,
  libyaml-cpp-dev (>= 0.6.3-7~),
