## librime 1.13.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 project(rime)
 set(CMAKE_CXX_STANDARD 17)
 
-set(rime_version 1.12.0)
+set(rime_version 1.13.1)
 set(rime_soversion 1)
 
 add_definitions(-DRIME_VERSION="${rime_version}")
