=== debian/control ===
--- 
+++ 
@@ -61,8 +61,7 @@
 Architecture: any
 Section: libdevel
 Depends:
- librime1 (<< ${source:Upstream-Version}.0~),
- librime1 (>= ${source:Version}),
+ librime1
  ${misc:Depends},
 Provides:
  librime1-dev,
@@ -146,6 +145,25 @@
  This package provides octagram plugin for RIME. It provides extra functionality
  in grammar checking.
 
+Package: librime-plugin-predict
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Multi-Arch: same
+Homepage: https://github.com/rime/librime-predict
+Description: Rime Input Method Engine - predict plugin
+ RIME is the acronym of Rime Input Method Engine.
+ .
+ RIME is a lightweight, extensible input method engine supporting various input
+ schematas including glyph-based input methods, romanization-based input methods
+ as well as those for Chinese dialects. It has the ability to compose phrases
+ and sentences intelligently and provide very accurate traditional Chinese
+ output. RIME's cross-platform core library is written in C++, and can work
+ consistently on different platforms with OS-specific wrappers.
+ This package provides predict plugin for RIME. It provides extra functionality
+ in predicting the next input.
+
 Package: librime1
 Architecture: any
 Depends:
