=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,10 @@
 include /usr/share/dpkg/default.mk
 
 # For individual package versions
-REV_CHARCODE = 20240209
-REV_LUA = 20241102
-REV_OCTAGRAM = 20240205
+REV_CHARCODE = 20240319
+REV_LUA = 20241221
+REV_OCTAGRAM = 20241118
+REV_PREDICT = 20241108
 
 _DEB_VERSION_REVISION = $(shell echo $(DEB_VERSION) | sed -e 's/^.*-//g')
 
@@ -26,6 +27,7 @@
 	cp -r ./librime-lua ./plugins/lua
 	cp -r ./librime-octagram ./plugins/octagram
 	cp -r ./librime-charcode ./plugins/charcode
+	cp -r ./librime-predict ./plugins/predict
 	dh_auto_configure -Scmake -- \
 	    -DCMAKE_BUILD_TYPE=Release \
 	    -DINSTALL_PRIVATE_HEADERS=ON \
@@ -51,4 +53,6 @@
 	        -v$(DEB_VERSION_EPOCH_UPSTREAM)~git$(REV_LUA)-$(_DEB_VERSION_REVISION)
 	dh_gencontrol -plibrime-plugin-octagram -- \
 	        -v$(DEB_VERSION_EPOCH_UPSTREAM)~git$(REV_OCTAGRAM)-$(_DEB_VERSION_REVISION)
+	dh_gencontrol -plibrime-plugin-predict -- \
+	        -v$(DEB_VERSION_EPOCH_UPSTREAM)~git$(REV_PREDICT)-$(_DEB_VERSION_REVISION)
 	dh_gencontrol --remaining-packages
